> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Audio

> Upload your own audio for further processing



## OpenAPI

````yaml openapi/en/flowmuisc.json POST /flowmusic/v1/upload-audio
openapi: 3.1.0
info:
  title: Flowmusic API DOCS
  version: 1.0.0
  description: >-
    TTAPI Flowmusic API endpoint service, currently integrating the most
    advanced music large models on the market.
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /flowmusic/v1/upload-audio:
    post:
      description: Upload your own audio for further processing
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UploadRequest'
      responses:
        '200':
          $ref: '#/components/responses/SuccessResponse'
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  schemas:
    UploadRequest:
      type: object
      properties:
        audio_url:
          type: string
          description: Audio file URL to upload, only supports common audio file extensions
        hook_url:
          type: string
          description: >-
            Business callback URL after task completion; no callback push when
            empty
      required:
        - audio_url
  responses:
    SuccessResponse:
      description: Request successful
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: SUCCESS
              message:
                type: string
                example: success
              data:
                type: object
                example:
                  jobId: jobId
            required:
              - status
              - message
              - data
    400Response:
      description: Parameter error
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Authorization failed
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        Please visit <a href='https://dashboard.ttapi.io' target='_blank'>TTAPI
        Dashboard</a> to obtain your API key.

````